org.apache.fop.fo.flow.table

## Class TableFObj.ColumnNumberPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.flow.table.TableFObj.ColumnNumberPropertyMaker

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    TableFObj

      public static class TableFObj.ColumnNumberPropertyMaker
      extends PropertyMaker

  `PropertyMaker` subclass for the column-number property

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnNumberPropertyMaker(int propId)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.
    `Property` | `make(PropertyList propertyList)` Return the default value.
    `Property` | `make(PropertyList propertyList, java.lang.String value, FObj fo)` Create a Property object from an attribute specification.

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnNumberPropertyMaker

          public ColumnNumberPropertyMaker(int propId)

      Constructor
      Parameters:
        `propId` - the id of the property for which the maker should be created

  - ### Method Detail

    - #### make

          public Property make(PropertyList propertyList)
                        throws PropertyException

      Return the default value.
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `propertyList` - The PropertyList object being built for this FO.
      Returns:
        the Property object corresponding to the parameters
      Throws:
        `PropertyException` - for invalid or inconsisten FO input

    - #### make

          public Property make(PropertyList propertyList,
                               java.lang.String value,
                               FObj fo)
                        throws PropertyException

      Create a Property object from an attribute specification. Check the value of the column-number property.
      Overrides:
        `make` in class `PropertyMaker`
      Parameters:
        `propertyList` - The PropertyList object being built for this FO.
        `value` - The attribute value.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        The initialized Property object.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

    - #### convertProperty

          public Property convertProperty(Property p,
                                          PropertyList propertyList,
                                          FObj fo)
                                   throws PropertyException

      Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses. If the value is not positive, return a property whose value is the next column number.
      Overrides:
        `convertProperty` in class `PropertyMaker`
      Parameters:
        `p` - The Property object return by the expression parser
        `propertyList` - The PropertyList object being built for this FO.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        A Property of the correct type or null if the parsed value can't be converted to the correct type.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.